# PSF-LoginServer - master - net.psforever.objects.inventory.InventoryTile
PSF - LoginServer - master - net.psforever.objects.inventory.InventoryTile
Keywords: PSF LoginServer master net.psforever.objects.inventory.InventoryTile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package inventory
  Definition Classes
    objects
- Container
- GridInventory
- InventoryDisarrayException
- InventoryEquipmentSlot
- InventoryItem
- InventoryTile
- LocallyRegisteredInventory

o

net.psforever.objects.inventory

# InventoryTile 

###
Companion class InventoryTile

#### object InventoryTile

Source
  InventoryTile.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InventoryTile
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val None: InventoryTile
5.  final val Tile11: InventoryTile
6.  final val Tile1107: InventoryTile
7.  final val Tile1111: InventoryTile
8.  final val Tile1209: InventoryTile
9.  final val Tile1511: InventoryTile
10.  final val Tile1515: InventoryTile
11.  final val Tile1611: InventoryTile
12.  final val Tile1612: InventoryTile
13.  final val Tile1816: InventoryTile
14.  final val Tile2016: InventoryTile
15.  final val Tile22: InventoryTile
16.  final val Tile23: InventoryTile
17.  final val Tile33: InventoryTile
18.  final val Tile42: InventoryTile
19.  final val Tile44: InventoryTile
20.  final val Tile55: InventoryTile
21.  final val Tile63: InventoryTile
22.  final val Tile66: InventoryTile
23.  final val Tile93: InventoryTile
24.  final val Tile96: InventoryTile
25.  final val Tile99: InventoryTile
26.  def apply(w: Int, h: Int): InventoryTile
27.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
28.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
29.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
31.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
32.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped